Update HikariCP dependency

Discussion in 'Support' started by AlexMog, Mar 10, 2019.

  1. AlexMog

    AlexMog New Member
    Supporter Premium Supporter

    Joined:
    Nov 21, 2018
    Messages:
    1
    Likes Received:
    0
    Hello,
    I am currently using HikariCP on some of my important plugins, but the fact that MythicMob's HickariCP version is not up to date is generating some errors on my plugins.
    Code:
    [06:16:41 ERROR]: Error occurred while enabling NetworkManager v2.5.9.1 (Is it up to date?)
    java.lang.NoSuchMethodError: com.zaxxer.hikari.HikariConfig.setInitializationFailTimeout(J)V
            at nl.chimpgamer.networkmanager.common.utils.mysql.MySQL.connect(MySQL.java:94) ~[?:?]
            at nl.chimpgamer.networkmanager.common.utils.mysql.MySQL.<init>(MySQL.java:27) ~[?:?]
            at nl.chimpgamer.networkmanager.spigot.NetworkManager.loadDatabase(NetworkManager.java:205) ~[?:?]
            at nl.chimpgamer.networkmanager.spigot.NetworkManager.onEnable(NetworkManager.java:131) ~[?:?]
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:254) ~[spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugin(CraftServer.java:436) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugins(CraftServer.java:350) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:214) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot.jar:git-Spigot-3cb9dcb-1dbe87c]
            at java.lang.Thread.run(Thread.java:748) [?:1.8.0_181]
    Is it possible to update the HickariCP version please :)

    Thanks !
     
    #1

Share This Page